#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct 
{
	char nomE[32];
	char *adresse;
	int capital;
	int duree;
	int prix;
} Devis;

typedef struct maillonDevis
{
	Devis dev;
	struct maillonDevis *suiv;
} MaillonDevis, *ListeDevis;

typedef struct
{
	char travaux[30];
	ListeDevis ldevis;
} Offre;

typedef enum {
	faux, vrai
} Booleen;

//Devis

void displayDevis(Devis d);
Devis readDevis(Offre *tabTravaux[]);

//ListeDevis

ListeDevis 	newListeDevis(void);
ListeDevis 	defiler(ListeDevis l);
ListeDevis 	enfiler(ListeDevis l);
ListeDevis 	sortListeDevis(ListeDevis l);
Booleen 	emptyListe(ListeDevis l);
int 		lenListeDevis(ListeDevis l);
void 		displayListeDevis(ListeDevis l);

//Offre

Offre newOffre(char *travauxName);
Booleen 	emptyOffre(Offre o);
void 		displayOffre(Offre o);
int 		rechTravaux(char travauxName[], Offre *tabTravaux[]);