#include "../includes/structures.h"

/*
	j'ai essayer de faire comme le prof pour les noms de variable,
	je crois que c completement loupe :)
*/

/*---------------------------------------------------------------------------*/

// boucle principale (je la trouve pas jolie, est ce qu'on la met dans fusionMaillonDevis meme si ce sera plus somple a expliquer ?)
void	fusionDevisElements(ListeDevis *R, int *tlogR, ListeDevis *S, int *tlogS, ListeDevis *mergedList, ListeDevis *last, int *k)
{
	ListeDevis	*current;
	while (*tlogR > 0 && *tlogS > 0)
	{
		if (strcmp((*R)->dev.nomE, (*S)->dev.nomE) < 0)
		{
			current = R;
			(*tlogR)--;
		}
		else
		{
			current = S;
			(*tlogS)--;
		}
		if (!(*mergedList))
		{
			*mergedList = (ListeDevis)malloc(sizeof(MaillonDevis));
			*last = *mergedList;
		}
		else
		{
			(*last)->suiv = (ListeDevis)malloc(sizeof(MaillonDevis));
			*last = (*last)->suiv;
		}
		(*last)->dev = (*current)->dev;
		*current = (*current)->suiv;
		(*last)->suiv = NULL;
		(*k)++;
	}
}

// fin des iteration principales
void	gestionElementsRestants(ListeDevis *mergedList, ListeDevis *last, ListeDevis *source, int *tlogSource, int *k)
{
	while (*tlogSource > 0)
	{
		if (!*mergedList)
			*mergedList = *last = (ListeDevis)malloc(sizeof(MaillonDevis));
		else
		{
			(*last)->suiv = (ListeDevis)malloc(sizeof(MaillonDevis));
			*last = (*last)->suiv;
		}
		(*last)->dev = (*source)->dev;
		*source = (*source)->suiv;
		(*last)->suiv = NULL;
		(*k)++;
		(*tlogSource)--;
	}
}

// cas en dehors de la taille logique
void	gestionElementsHorsTailleLogique(ListeDevis *mergedList, ListeDevis *last, ListeDevis *source, int *k)
{
	while (*source)
	{
		if (!*mergedList)
			*mergedList = *last = (ListeDevis)malloc(sizeof(MaillonDevis));
		else
		{
			(*last)->suiv = (ListeDevis)malloc(sizeof(MaillonDevis));
			*last = (*last)->suiv;
		}
		(*last)->dev = (*source)->dev;
		*source = (*source)->suiv;
		(*last)->suiv = NULL;
		(*k)++;
	}
}

// fusion de maillons 
void	fusionMaillonDevis(ListeDevis R, int tlogR, ListeDevis S, int tlogS, ListeDevis *T)
{
	ListeDevis	last;
	ListeDevis	mergedList;
	int		k;

	last = NULL;
	mergedList = NULL;
	k = 0;

	fusionDevisElements			(&R, &tlogR, &S, &tlogS, &mergedList, &last, &k);
	gestionElementsRestants			(&mergedList, &last, &R, &tlogR, &k);
	gestionElementsRestants			(&mergedList, &last, &S, &tlogS, &k);
	gestionElementsHorsTailleLogique	(&mergedList, &last, &R, &k);
	gestionElementsHorsTailleLogique	(&mergedList, &last, &S, &k);

	*T = mergedList;
}

// tri fusion sur les struct 
void	triFusionListeDevis(ListeDevis *ldevis, int tlog)
{
	ListeDevis	p;
	ListeDevis	q;
	ListeDevis	qTemp;

	p = *ldevis;
	q = p->suiv;
	if (tlog <= 1)
		return;
	for (int i = 0; i < tlog / 2 - 1 && q && q->suiv; i++)
	{
		p = p->suiv;
		q = q->suiv->suiv;
	}
	qTemp = p->suiv;
	p->suiv = NULL;

	triFusionListeDevis(ldevis, tlog / 2);
	triFusionListeDevis(&qTemp, tlog - tlog / 2);
	
	ListeDevis mergedList = NULL;
	fusionMaillonDevis(*ldevis, tlog / 2, qTemp, tlog - tlog / 2, &mergedList);

	*ldevis = mergedList;
}

//est ce qu'on supprime tout les elements de la liste chainee ou juste les elements de la longueure logique ?
void	freeListeDevis(ListeDevis *ldevis, int *tlog)
{
	ListeDevis	pos;
	pos = *ldevis;
	while (pos)
	{
		ListeDevis suiv = pos->suiv;
		free(pos);
		pos = suiv;
	}
	*ldevis = NULL;
	*tlog = 0;
}

/*
int	main(void)
{
	Offre offre1 = {"Travaux1", NULL};
	offre1.ldevis = (ListeDevis)malloc(sizeof(struct maillonDevis));
	offre1.ldevis->dev = (Devis){"Devis6", "Adresse1", 100, 5};
	offre1.ldevis->suiv = (ListeDevis)malloc(sizeof(struct maillonDevis));
	offre1.ldevis->suiv->dev = (Devis){"Devis3", "Adresse3", 80, 3};
	offre1.ldevis->suiv->suiv = (ListeDevis)malloc(sizeof(struct maillonDevis));
	offre1.ldevis->suiv->suiv->dev = (Devis){"Devis8", "Adresse2", 120, 7};
	offre1.ldevis->suiv->suiv->suiv = (ListeDevis)malloc(sizeof(struct maillonDevis));
	offre1.ldevis->suiv->suiv->suiv->dev = (Devis){"Devis5", "Adresse5", 90, 4};
	offre1.ldevis->suiv->suiv->suiv->suiv = (ListeDevis)malloc(sizeof(struct maillonDevis));
	offre1.ldevis->suiv->suiv->suiv->suiv->dev = (Devis){"Devis2", "Adresse2", 110, 6};
	offre1.ldevis->suiv->suiv->suiv->suiv->suiv = NULL;
	int tlog = 5;

	printf("Avant le tri : \n");
	afficherOffre(&offre1);

	triFusionListeDevis(&offre1.ldevis, tlog);

	printf("\nApres le tri : \n");
	afficherOffre(&offre1);

	freeListeDevis(&offre1.ldevis, &tlog);
	return (0);
}
*/